module.exports = {
  create: {
    requestBody: ["!user_id", "title", "desc", "type", "orgin", "create_time"],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: ["!user_id", "title", "desc", "type", "orgin", "create_time"],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        user_id: "user_id",
        title: "title",
        desc: "desc",
        type: "type",
        orgin: "orgin",
        create_time: "create_time",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
  login: {
    requestBody: ["!room_id", "passwd"],
    service: 'login'
  },
};
