module.exports = {
  create: {
    requestBody: ["!user_id", "title", "start_time", "end_time", "file_path"],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: ["!user_id", "title", "start_time", "end_time", "file_path"],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        user_id: "user_id",
        title: "title",
        start_time: "start_time",
        end_time: "end_time",
        file_path: "file_path",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
