module.exports = {
  create: {
    requestBody: [
      "!sender_id",
      "sender_name",
      "!receiver_id",
      "receiver_name",
      "!content",
      "!personroom_id",
      "status",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "sender_id",
      "sender_name",
      "receiver_id",
      "receiver_name",
      "content",
      "personroom_id",
      "status",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: [
        "sender_id",
        "sender_name",
        "receiver_id",
        "receiver_name",
        "content",
        "personroom_id",
        "status",
      ],
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      asc: true,
      count: true,
    },
  },
};
