module.exports = {
  create: {
    requestBody: [
      "!number",
      "!sender_id",
      "!sender_name",
      "!content",
      "send_time",
      "role",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "number",
      "sender_id",
      "sender_name",
      "content",
      "send_time",
      "role",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: [
        "number",
        "sender_id",
        "sender_name",
        "content",
        "send_time",
        "role",
      ],
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
